<?php

	class Admin_Settings extends AdminPage {
		
		
		function Admin_Settings() {

			parent::AdminPage();			

			$this->status = '';
			$this->content = '';						
			
			$this->q = new Queries;
			
			$this->db = new DB;	
			$this->t=new Typer_Smarty(ROOT."layout/admin_settings/");		
		}
		
		function getContent() {
			$step = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'step' , 1);
			switch ($step) {
				case 2:
					return $this->updateData();
				case 1:
				default:
					return $this->getFormular();
			}
		}
		
		function updateData() {
			$shot = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'shot' , false);
			if ($shot) {				
				$sql = "UPDATE styper_setting SET settingvalue = '{$shot}' WHERE settingid = 1";
				$this->db->query ($sql);	
			}
			
			$diff = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'diff' , false);
			if ($diff) {
				$sql = "UPDATE styper_setting SET settingvalue = '{$diff}' WHERE settingid = 2";
				$this->db->query ($sql);				
			}
			
			$side = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'side' , false);
			if ($side) {
				$sql = "UPDATE styper_setting SET settingvalue = '{$side}' WHERE settingid = 3";
				$this->db->query ($sql);				
			}
			
			$round = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'round' , false);
			if ($round) {				
				$sql = "UPDATE styper_setting SET settingvalue = '{$round}' WHERE settingid = 4";
				$this->db->query ($sql);				
			}
			
			if ($shot || $diff || $side || $round) {
				$this->status = textSys('admin:settings:ZMIANY_ZAPISANE');				
			}
			
			return $this->getFormular();			
		}
		
	
		function getFormular() {
			
			$settings = $this->q->getPoints();			
			foreach ($settings as $key => $val) {
				$this->t->assign($key, $val);
			}
			
			$this->t->assign('STATUS', $this->status);
			return $this->t->fetch('admin_settings.ihtml');		
		}		
		
	}
