<?php


	class Top10 extends TyperPage {
		
		
		function Top10() {
			
			parent::TyperPage();
			//Typer_Auth::redirectGuest();
			
			$this->status = '';
			$this->content = '';						
			
			$this->db = new DB;	
			$this->t=new Typer_Smarty(ROOT."layout/top10/");
		}
		
		function getContent() {
			
			return $this->getFormular();
		}
		
		function getFormular() {
			
			$this->t->assign('typers', $this->_getTypers());
			return $this->t->fetch('top10.ihtml');
		}	
		
		function _getTypers() {
			
			$sql = "SELECT * FROM styper_user u LEFT JOIN styper_group g ON g.groupid = u.groupid WHERE u.useractive = 1 ORDER BY u.score DESC LIMIT 0, 10";			
			$typers = $this->db->table($sql);
			
			$position = 1;
			for ($i = 0; $i < count($typers); $i++) {				
				if ($i != 0 && $typers[$i]['score'] == $prevScore) {
					$typers[$i]['position'] = '';
				}
				else {					
					$typers[$i]['position'] = $position;
					$position++;										
				}
				$prevScore = $typers[$i]['score'];	
			}
			
			return $typers;
		}
		
	}