<?php

class Modules
{
 	//tablica przechowujaca liste zainstalowanych modulow
	var $registered_modules=array();

 	//zawiera opis bledu jaki nastapil podczas
	//tworzenia wybranego modulu
 	var $error="";


 	//konstruktor
 	function Modules()
	{
		global $perm;

		$registered_modules[1] = array(
			'fun' => 1,
			'module_name' => 'login'
		);
		
		$registered_modules[10] = array(
			'fun' => 10,
			'module_name' => 'login'
		);
		
		$registered_modules[5] = array(
			'fun' => 5,
			'module_name' => 'register'
		);
		
		$registered_modules[15] = array(
			'fun' => 15,
			'module_name' => 'type'		
		);
		
		$registered_modules[20] = array(
			'fun' => 20,
			'module_name' => 'admin_user'
		);
		
		$registered_modules[25] = array(
			'fun' => 25,
			'module_name' => 'admin_group'
		);
		
		$registered_modules[30] = array(
			'fun' => 30,
			'module_name' => 'admin_team'
		);
		
		$registered_modules[35] = array(
			'fun' => 35,
			'module_name' => 'admin_round'
		);
		
		$registered_modules[40] = array(
			'fun' => 40,
			'module_name' => 'admin_match'
		);
		
		$registered_modules[45] = array(
			'fun' => 45,
			'module_name' => 'profile'
		);				
		
		$registered_modules[50] = array(
			'fun' => 50,
			'module_name' => 'admin_settings'
		);		
		
		$registered_modules[55] = array(
			'fun' => 55,
			'module_name' => 'admin_news'
		);
		
		$registered_modules[60] = array(
			'fun' => 60,
			'module_name' => 'news'
		);
		
		$registered_modules[65] = array(
			'fun' => 65,
			'module_name' => 'top10'
		);
		
		$registered_modules[70] = array(
			'fun' => 70,
			'module_name' => 'stats_user'
		);		
		
		$registered_modules[75] = array(
			'fun' => 75,
			'module_name' => 'stats_global'
		);
		
		$registered_modules[80] = array(
			'fun' => 80,
			'module_name' => 'rating'
		);
		
		$registered_modules[85] = array(
			'fun' => 85,
			'module_name' => 'rating_group'
		);		
		
		$registered_modules[100] = array(
			'fun' => 100,
			'module_name' => 'lostpassword'
		);

		$registered_modules[105] = array(
			'fun' => 105,
			'module_name' => 'newsletter'		
		);
		
		$registered_modules[110] = array(
			'fun' => 110,
			'module_name' => 'referers'		
		);
		

		foreach( $registered_modules as $k => $v ) {
			$registered_modules[ $k ][ 'desc' ] = smarty_encoding( $v['desc'] );
		}

		$this->registered_modules = $registered_modules;
	}

	function factory($fun){
		global $perm, $auth;

		if( $fun == -1 )
			$fun = 10;

		if(!isset($this->registered_modules[$fun]))
			$this->error="Wybrano nie istniejacy modul!";

		if(!isset($this->registered_modules[$fun]["module_name"]))
				$this->error="Bledna konfiguracja modul!";

		if(!file_exists($this->_getModuleFile($fun)))
			$this->error="Nie odnaleziono pliku modulu!";
		else
			require_once($this->_getModuleFile($fun));

		if($this->error=="")
			$ret=new $this->registered_modules[$fun]["module_name"]();
		else
		{
			require_once(ROOT."classes/error/error.php");
			$ret=new error($this->error);
		}

		return $ret;
	}

	function _getModuleFile($fun) {
		
		if (isset($this->registered_modules[$fun]["module_name"]))
		    $path=ROOT."classes/".$this->registered_modules[$fun]["module_name"]."/".$this->registered_modules[$fun]["module_name"].".php";
		else {
			trigger_error( 'Blad deklararacji modulu', E_USER_ERROR );
			$path = '1q2w3e4r5t6y7u8i9o0p';
		}
		return $path;
	}
}

?>