<?php

/*
 *  Klasa obslugujaca uwierzytelnianie uzytkownika eksplorujacego system
 *
 */

 define( 'USER_LOGGED' , 1 );
 define( 'USER_NOT_LOGGED', 2); 
 define( 'USER_NOT_PRESENT' , 3 );
 define( 'USER_BAD_PASSWORD' , 4 );
 
 define( 'ADMIN_PERMS', 1);
 
 class Typer_Auth {		
 	
 	function login($userlogin, $user_password) {
 		$db = new DB;
 		$user_id = $db->quoteString(trim($userlogin));
 		$sql = " SELECT *
 				 FROM styper_user
 				 WHERE userlogin = '{$userlogin}' AND useractive = 1
 				";
 		
		
 		$res = $db->table($sql);
 		
 		if (count($res) > 0) {
 			$res = $res[0]; 			
			if (md5($user_password.MD5_VALUE) === $res['userpass']) {		
				$_SESSION[ 'styper_logged_user' ] = array(
					'userid' => $res['userid'],
					'userlogin' => $res['userlogin'],
					'useremail' => $res['useremail'],
					'userperms' => $res['userperms'],
					'groupid' => $res['groupid'],
				);				

 				return USER_LOGGED;
			} 
			else {
				return USER_BAD_PASSWORD;
			}			
 		}
 		else {
 			return USER_NOT_PRESENT;
 		}
 		
 	} 	

	function logout() {
		if( isset( $_SESSION[ 'styper_logged_user' ] ) ) {
			unset( $_SESSION[ 'styper_logged_user' ] );
			return USER_NOT_LOGGED;
		}
		return USER_NOT_PRESENT;
	} 	

 	function checkUser() {
 		if ( isset( $_SESSION[ 'styper_logged_user'] ) ) {
 			return USER_LOGGED;
 		}
 		return USER_NOT_LOGGED;
 	}
 	
 	function isUserLogged() {
 		if (Typer_Auth::checkUser() === USER_LOGGED) {
 			return true;
 		}
 		return false;
 	}	 	
 	
 	function getLoggedUserData() {
 		if (Typer_Auth::isUserLogged()) {
 			return $_SESSION[ 'styper_logged_user'];
 		}
 		return null;
 	}

 	function redirectGuest() {
 		if (! Typer_Auth::isUserLogged()) {
 			header('location: ' . LOGIN_URI);
 			exit();
 		}
 	}
 	
 	function isUserAdmin() {
 		if (Typer_Auth::isUserLogged()) { 				
 			$user = Typer_Auth::getLoggedUserData();
 			if ($user['userperms'] == ADMIN_PERMS) { 				
 				return true;
 			} 			
 		}
 		return false;
 	}
 	
 	function redirectNotAdmin() {
 		if (Typer_Auth::isUserLogged() && Typer_Auth::isUserAdmin()) {
 			return true;
 		}	
 		header('location: ' . LOGIN_URI);
 		exit(); 		
 	}
 	
 	function refreshUser() {
 		$db = new DB;
 		if (Typer_Auth::isUserLogged()) {
	 		$user_id = $_SESSION[ 'styper_logged_user' ]['userid'];
	 		$sql = " SELECT *
	 				 FROM styper_user
	 				 WHERE userid = '{$user_id}' AND useractive = 1
	 				";	
			
	 		$res = $db->table($sql);
	 		$res = $res[0];
			$_SESSION[ 'styper_logged_user' ] = array(
				'userid' => $res['userid'],
				'userlogin' => $res['userlogin'],
				'useremail' => $res['useremail'],
				'userperms' => $res['userperms'],
				'groupid' => $res['groupid'],
				);
 		} 		
 	}
 	
 }

