-- phpMyAdmin SQL Dump
-- version 2.9.1.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Czas wygenerowania: 24 Maj 2007, 11:30
-- Wersja serwera: 5.0.27
-- Wersja PHP: 4.4.4

SET FOREIGN_KEY_CHECKS=0;

SET AUTOCOMMIT=0;
START TRANSACTION;

-- 
-- Baza danych: `syntyper`
-- 

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_group`
-- 

DROP TABLE IF EXISTS `styper_group`;
CREATE TABLE `styper_group` (
  `groupid` int(11) NOT NULL auto_increment,
  `groupname` varchar(255) default NULL,
  PRIMARY KEY  (`groupid`),
  UNIQUE KEY `UQ_styper_group_1` (`groupname`)
) TYPE=MyISAM  AUTO_INCREMENT=23 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_match`
-- 

DROP TABLE IF EXISTS `styper_match`;
CREATE TABLE `styper_match` (
  `matchid` int(11) NOT NULL auto_increment,
  `matchhost` int(11) default NULL,
  `matchguest` int(11) default NULL,
  `matchhostscore` int(11) default NULL,
  `matchguestscore` int(11) default NULL,
  `matchdate` datetime default NULL,
  `roundid` int(11) default NULL,
  `matchplayed` tinyint(1) default NULL,
  `matchspecial` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`matchid`),
  KEY `roundid` (`roundid`),
  KEY `matchhost` (`matchhost`),
  KEY `matchguest` (`matchguest`)
) TYPE=MyISAM  AUTO_INCREMENT=25 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_news`
-- 

DROP TABLE IF EXISTS `styper_news`;
CREATE TABLE `styper_news` (
  `newsid` int(11) NOT NULL auto_increment,
  `newstitle` varchar(255) default NULL,
  `newscontent` text,
  `newsborn` datetime default NULL,
  PRIMARY KEY  (`newsid`)
) TYPE=MyISAM  AUTO_INCREMENT=9 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_post`
-- 

DROP TABLE IF EXISTS `styper_post`;
CREATE TABLE `styper_post` (
  `postid` int(11) NOT NULL auto_increment,
  `postcontent` text,
  `userid` int(11) default NULL,
  `newsid` int(11) default NULL,
  `postborn` datetime default NULL,
  PRIMARY KEY  (`postid`),
  KEY `newsid` (`newsid`),
  KEY `userid` (`userid`)
) TYPE=MyISAM  AUTO_INCREMENT=31 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_referer`
-- 

DROP TABLE IF EXISTS `styper_referer`;
CREATE TABLE `styper_referer` (
  `refererid` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL,
  `newid` int(11) NOT NULL,
  PRIMARY KEY  (`refererid`),
  UNIQUE KEY `newid` (`newid`)
) TYPE=MyISAM  AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_round`
-- 

DROP TABLE IF EXISTS `styper_round`;
CREATE TABLE `styper_round` (
  `roundid` int(11) NOT NULL auto_increment,
  `roundname` varchar(255) default NULL,
  `rounddescription` text,
  `roundborn` datetime default NULL,
  `roundactive` tinyint(1) NOT NULL default '1',
  `roundclosed` tinyint(1) NOT NULL default '0',
  `rounddeleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`roundid`)
) TYPE=MyISAM  AUTO_INCREMENT=16 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_setting`
-- 

DROP TABLE IF EXISTS `styper_setting`;
CREATE TABLE `styper_setting` (
  `settingid` int(11) NOT NULL auto_increment,
  `settingname` varchar(100) NOT NULL,
  `settingvalue` int(11) NOT NULL,
  PRIMARY KEY  (`settingid`)
) TYPE=MyISAM  AUTO_INCREMENT=5 ;

INSERT INTO `styper_setting` VALUES (1, 'shot', 3);
INSERT INTO `styper_setting` VALUES (2, 'diff', 2);
INSERT INTO `styper_setting` VALUES (3, 'side', 1);
INSERT INTO `styper_setting` VALUES (4, 'round', 1);

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_team`
-- 

DROP TABLE IF EXISTS `styper_team`;
CREATE TABLE `styper_team` (
  `teamid` int(11) NOT NULL auto_increment,
  `teamname` varchar(255) default NULL,
  `teamborn` datetime default NULL,
  `teamactive` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`teamid`)
) TYPE=MyISAM  AUTO_INCREMENT=17 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_type`
-- 

DROP TABLE IF EXISTS `styper_type`;
CREATE TABLE `styper_type` (
  `typeid` int(11) NOT NULL auto_increment,
  `matchid` int(11) default NULL,
  `typehost` int(11) default NULL,
  `typeguest` int(11) default NULL,
  `userid` int(11) default NULL,
  `typestatus` tinyint(4) default NULL,
  PRIMARY KEY  (`typeid`),
  KEY `matchid` (`matchid`),
  KEY `userid` (`userid`)
) TYPE=MyISAM  AUTO_INCREMENT=29 ;

-- --------------------------------------------------------

-- 
-- Struktura tabeli dla  `styper_user`
-- 

DROP TABLE IF EXISTS `styper_user`;
CREATE TABLE `styper_user` (
  `userid` int(11) NOT NULL auto_increment,
  `userlogin` varchar(100) default NULL,
  `userpass` char(32) default NULL,
  `userborn` datetime default NULL,
  `userperms` int(11) default '0',
  `groupid` int(11) default NULL,
  `score` bigint(20) default '0',
  `useremail` varchar(100) default NULL,
  `useractive` tinyint(1) NOT NULL default '0',
  `userdeleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`userid`),
  UNIQUE KEY `UQ_styper_user_1` (`userlogin`,`useremail`),
  KEY `groupid` (`groupid`)
) TYPE=MyISAM  AUTO_INCREMENT=44 ;

SET FOREIGN_KEY_CHECKS=1;

COMMIT;