<?php

	require_once(dirname(__FILE__) . '/engine/conf.php');	
	
	session_start();
	if (! Typer_Auth::isUserAdmin()) {
		die('not admin');
	}
	
	$content = $_SESSION['styper_newsletter_content'];
	$data = $_SESSION['styper_newsletter_userdata'];
	
	$m = intval($_GET['m']);
	$iteration = intval($_GET['i']);
	$iteration = ($iteration) ? $iteration : 0;

	$ud = $data[$iteration];
	$db = new DB;
	$q = new Queries;
	
	$mailer = new Mail;

	if (!empty($ud) && !empty($ud['useremail'])) {
	/*
	 * mail send
	 *  
	 */
		$send = true;
		
		if (strstr($content, '###prepareTypes###') != false) {
			preg_match('/###prepareTypes###(.*)/', $content, $out);
			$additionalContent = $out[1];
			$points = $q->getPoints();			
			if ( empty($points)) {
				$send = false;
			}
			else {
				$score = 0;
				$sql = "SELECT roundid FROM styper_round WHERE roundclosed = 1 AND rounddeleted = 0 ORDER BY roundborn DESC";
				$roundId = $db->table($sql);
				$roundId = $roundId[0]['roundid'];
				if (empty($roundId)) {
					die('round err');
				}
				
				$sql = "SELECT *, tg.teamname AS teamguest, th.teamname AS teamhost FROM styper_type t LEFT JOIN styper_match m ON t.matchid = m.matchid LEFT JOIN styper_round r ON r.roundid = m.roundid LEFT JOIN styper_team th ON m.matchhost = th.teamid LEFT JOIN styper_team tg ON m.matchguest = tg.teamid WHERE t.userid = '{$ud['userid']}' AND r.roundclosed = 1 AND r.roundid = '{$roundId}' AND r.rounddeleted = 0 ORDER BY r.roundid";
				$types = $db->table($sql);
				$matchesToShow = array();
	
				/*
				 * rozliczenie za zgodnosc typu z wynikiem
				 */
				foreach ($types as $tkey => $tval) {

					if ( empty($tval['matchhost']) && empty($tval['matchguest']) ) {
						continue;
					}
					if ($tval['matchhostscore'] == $tval['typehost'] && $tval['matchguestscore'] == $tval['typeguest']) {
						//echo "bullseye!";
						$delta = $points['shot'];
					}
					else if($tval['matchhostscore'] - $tval['typehost'] == $tval['matchguestscore'] - $tval['typeguest']) {
						//echo "bramka";
						$delta = $points['diff'];
					}
					else if(($tval['matchhostscore'] > $tval['matchguestscore']) && ($tval['typehost'] > $tval['typeguest']) || ($tval['matchhostscore'] < $tval['matchguestscore']) && ($tval['typehost'] < $tval['typeguest']) || ($tval['matchhostscore'] == $tval['matchguestscore']) && ($tval['typehost'] == $tval['typeguest'])) {
						//echo "strona";
						$delta = $points['side'];
					}
					
					if ($tval['matchspecial']) {
						$delta += $points['round'];
					}
					
					$score += $delta;
					/*
					 *  przeformatowanie encji meczu
					 */
					$matchesToShow[] = ($tval['matchspecial'] ? '(' . textSys('admin:newsletter:MECZ_KOLEJKI') . ')' : '') .  $tval['teamhost'] . ' - ' . $tval['teamguest'] . ' '  . $tval['matchhostscore']  . ':' . $tval['matchguestscore']  . ' ' . textSys('admin:newsletter:TWOJ_TYP_WYNIKU') . ': ' . $tval['typehost'] . ':' . $tval['typeguest'] . ' ' . textSys('admin:newsletter:PUNKTY_ZA_MECZ') . ':' . $delta;
				}
				
				$content = textSys('admin:newsletter:NEWSLETTER_TYPY') . "<br><br>";

				// komentarz
				if ($additionalContent) {
					$content .= $additionalContent . "<br><br>";				
				}
								
				$content .= textSys('admin:newsletter:MECZE') . ":<br>";								
				foreach($matchesToShow as $match) {
					$content .= $match . "<br>";
				}
				
				if (! count($types) > 0) {
					$content .= textSys('admin:newsletter:NIE_TYPOWALES_W_KOLEJCE') . "<br>";
				}				
				
				$content .= textSys('admin:newsletter:PUNKTY_RAZEM_ZA_KOLEJKE') . ":" . $score . "<br><br>";

				$sql = "SELECT * FROM styper_user WHERE userid = '{$ud['userid']}' AND userdeleted = 0 AND useractive = 1";
				$res = $db->table($sql);
				
				if (count($res) > 0) {
					$content .= textSys('admin:newsletter:PUNKTY_RAZEM') . ':' . $res[0]['score'];
				}
				else {
					$content .= textSys('admin:newsletter:BRAK_DANYCH');
				}
				
				$sql = "SELECT count(*) FROM (SELECT score FROM styper_user GROUP BY score ORDER BY score DESC) r WHERE r.score >= '{$res[0]['score']}'";
				$res = $db->table($sql);
				
				$content .= "<br>" . textSys('admin:newsletter:AKTUALNA_POZYCJA') . ': ' . $res[0][0] . "<br><br>";
				$content .= textSys('admin:newsletter:POZDROWIENIA');
				
			
			}			
		}
		
		if (! $send) {
			break;
		}
		
		$email = $ud['useremail'];
		if (! empty($email)) { 
			$mailer->sendmail($email, textSys('admin:newsletter:NEWSLETTER_TYTUL'), $content, true);
		}		
	}
	
	$iteration++;
	if ($iteration > $m) {
		$iteration--;
		echo 'fin: ' . $iteration . '/' . $m;
		echo '<script type="text/javascript">window.close();</script>';
		die();
	}	

	echo '<header>';
	echo '<META HTTP-EQUIV="Refresh" CONTENT="2; URL=send.php?i=' . $iteration . '&m=' . $m . '">';
	echo '</header>';
	
	$sendingStatus = $iteration . '/' . $m;	
	echo $sendingStatus;
	