<?php

	class Admin_Group extends AdminPage {
		
		function Admin_Group() {			
			parent::AdminPage();			

			$this->status = '';
			$this->content = '';						
			
			$this->q = new Queries;
			
			$this->db = new DB;	
			$this->t=new Typer_Smarty(ROOT."layout/admin_group/");			
		}
		
		function getContent() {			
			$mode = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'mode' , 1);
			$step = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'step' , 1);
			
			switch ($mode) {
				case 1:
				default:					
					break;
				case 2:
					switch ($step) {
						case 1:
						default:
							return $this->getEditFormular();
						case 2:							
							return $this->getEditFormular($this->updateData());
					}
				case 3:
					return $this->deleteUser();
			}
			
			return $this->getFormular();
		}

		
		function getEditFormular($groupId = false) {
			if (! $groupId) {
				$groupId = Verifier::verifyFromREQUEST( INTEGER_NUMBER , 'group' , false);
			}			
	
			if ( $groupId) {
				$sql = "SELECT * FROM styper_group WHERE groupid = '{$groupId}'";		
				$group = $this->db->table($sql);
			}
			else {
				$group = null;	
			}
			
			if (count ($group) > 0 || $groupId == -1) {
				$this->t->assign('groupid', $groupId == -1 ? -1 : $group[0]['groupid']);				
				$this->t->assign('group', $group[0]);
				$this->t->assign('STATUS', $this->status);
				return $this->t->fetch('admin_group_edit.ihtml');	
			}
			else {
				$this->status = textSys('admin:group:NIE_MA_TAKIEJ_GRUPY');
				return $this->getFormular();
			}			
			
		}
		
		function goToList() {
			header('location: index.php?fun=25');
			exit();
		}
		
		function updateData() {
			$group['groupid'] = Verifier::verifyFromREQUEST( INTEGER_NUMBER , 'group' , false);
			$group['groupname'] = Verifier::verifyFromREQUEST( NOT_NULL_STRING , 'group_name' , false);
			
			$eject = false;
			foreach ($group as $u) {
				if (empty($u)) {
					$eject = true;
				}
			}			
			
			if ($group['groupid'] == -1 && !$eject) {

				$sql = "SELECT * FROM styper_group WHERE groupname = '{$group['groupname']}'";
				$res = $this->db->table($sql);
				
				if (count ($res) > 0) {
					$this->status = textSys('admin:group:GRUPA_JUZ_ISTNIEJE');
					return -1;
				}
				
				$sql = "INSERT INTO styper_group (groupname) VALUES ('{$group['groupname']}')";
				$this->db->query($sql);
				$this->status = textSys('admin:group:GRUPA_ZOSTALA_DODANA');
				
				$sql = "SELECT MAX(groupid) FROM styper_group";
				$res = $this->db->table($sql);
				$group['groupid'] = $res[0][0];

				$this->goToList();
			}
			else {		
				if (! $eject) {
					$sql = "UPDATE styper_group SET groupname = '{$group['groupname']}' WHERE groupid = '{$group['groupid']}'";
					$this->db->query($sql);
					$this->status = textSys('admin:group:ZMIANY_ZOSTALY_ZAPISANE');		

					$this->goToList();
				}
			}		
			
			return $group['groupid'];
		}
		
		function deleteUser() {
			$groupId = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'group' , false);
			$me = Typer_Auth::getLoggedUserData(); 
			
			if ($me && $groupId) {				
				$sql = "UPDATE styper_user SET groupid = 'NULL' WHERE groupid = '{$groupId}'";				
				$this->db->query ($sql);
				
				$sql = "DELETE FROM styper_group WHERE groupid = '{$groupId}'";
				$this->db->query ($sql);
				
				$this->status = textSys('admin:group:GRUPA_ZOSTALA_USUNIETA');
				$this->goToList();
			}
			else {
				$this->status = textSys('admin:group:GRUPA_NIE_ZOSTALA_USUNIETA');
			}	
			return $this->getFormular();		
		}		
		
		function getFormular() {
						
			$this->t->assign('groups', $this->q->getGroupsListPaged());			
			$this->t->assign('STATUS', $this->status);
			$this->t->assign('ADMIN_CONTENT', $this->content);
			
			/*
			 * Przypisanie linkow z tabelki
			 */
			$this->t->assign('tablelinks', Table::getLinks($this->getPageUri(), $this->q->limit));									
						
			return $this->t->fetch('admin_group.ihtml');
		}		
	}
	