<?php


	class Admin_News extends AdminPage {
		
		function Admin_News() {
			
			parent::AdminPage();
			
			$this->status = '';
			$this->content = '';						
			
			$this->q = new Queries;
			
			$this->db = new DB;	
			$this->t=new Typer_Smarty(ROOT."layout/admin_news/");			
		}
		
		function getContent() {
	
			$mode = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'mode' , 1);
			$step = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'step' , 1);
			
			switch ($mode) {
				case 1:
				default:					
					break;
				case 2:
					switch ($step) {
						case 1:
						default:
							return $this->getEditFormular();
						case 2:							
							return $this->getEditFormular($this->updateData());
					}
				case 3:
					return $this->deleteNews();
			}
			
			return $this->getFormular();	
		}
		
		function deleteNews() {
			
			$newsId = Verifier::verifyFromREQUEST( INTEGER_NUMBER , 'news' , false);
			if ( !$newsId) {
				
				$this->status = textSys('admin:news:NEWS_NIE_ZOSTAL_SKASOWANY');			
				return $this->getFormular();
			}
			
			$sql = "DELETE FROM styper_post WHERE newsid = '{$newsId}'";
			$this->db->query($sql);
			
			$sql = "DELETE FROM styper_news WHERE newsid = '{$newsId}'";
			$this->db->query($sql);
			
			$this->status = textSys('admin:news:NEWS_ZOSTAL_SKASOWANY');			
			return $this->getFormular();
		}
		
		function getEditFormular($newsId = false) {
			if (! $newsId) {
				$newsId = Verifier::verifyFromREQUEST( INTEGER_NUMBER , 'news' , false);
			}			
	
			if ( $newsId) {
				$sql = "SELECT * FROM styper_news WHERE newsid = '{$newsId}'";		
				$news = $this->db->table($sql);
			}
			else {
				$news = null;	
			}
			
			if (count ($news) > 0 || $newsId == -1) {
				$this->t->assign('newsid', $newsId == -1 ? -1 : $news[0]['newsid']);
				
				$this->t->assign('news', $news[0]);			
				if (count ($news) > 0) {				

					$date = array();
					$date['Y'] = substr($news[0]['newsborn'], 0, 4);
					$date['m'] = substr($news[0]['newsborn'], 5, 2); 
					$date['d'] = substr($news[0]['newsborn'], 8, 2);	
					
					$this->t->assign('date', $date);		
				}
				$this->t->assign('STATUS', $this->status);				
				
				$date = Date::getVars();
				
				$this->t->assign('months', $date['months']);
				$this->t->assign('years', $date['years']);
				
				return $this->t->fetch('admin_news_edit.ihtml');	
			}
			else {
				$this->status = textSys('admin:news:BRAK_NEWSA');
				return $this->getFormular();
			}			
			
		}

		function goToList() {
			header('location: index.php?fun=55');
			exit();
		}
		
		
		function updateData() {
			$news['newsid'] = Verifier::verifyFromREQUEST( INTEGER_NUMBER , 'news' , false);
			$news['newstitle'] = Verifier::verifyFromREQUEST( NOT_NULL_STRING , 'news_title' , false);
			$news['newscontent'] = Verifier::verifyFromREQUEST( NOT_NULL_STRING , 'news_content' , false);
		// data z bazy danych
	//		$news['newsborn'] = Verifier::verifyFromREQUEST( NO_PAST_DATE_WITHOUT_TIME , 'date' , false);	
	
			$eject = false;
			foreach ($news as $u) {
				if (empty($u)) {
					$eject = true;					
				}
			}			
					
			$news['newstitle'] = strip_tags($news['newstitle']);
			$news['newscontent'] = strip_tags($news['newscontent']);
					
			if ($eject) {
				$this->status = textSys('admin:news:ZMIANY_NIE_ZOSTALY_ZAPISANE');
				return false;
			}			
			
			if ($news['newsid'] == -1 && !$eject) {
	
				$sql = "INSERT INTO styper_news (newstitle, newscontent, newsborn) VALUES ('{$news['newstitle']}', '{$news['newscontent']}', (NOW()))";
				$this->db->query($sql);
				$this->status = textSys('admin:news:NEWS_DODANY');
				
				$sql = "SELECT MAX(newsid) FROM styper_news";
				$res = $this->db->table($sql);
				$news['newsid'] = $res[0][0];
				
				$this->goToList();
			}
			else {
				if (! $eject) {
					$sql = "UPDATE styper_news SET newstitle = '{$news['newstitle']}', newscontent = '{$news['newscontent']}' WHERE newsid = '{$news['newsid']}'";
					$this->db->query($sql);
					$this->status = textSys('admin:news:ZMIANY_ZAPISANE');

					$this->goToList();
				}
			}		
			
			return $news['newsid'];
		}
		
		function getFormular() {
		
			$this->t->assign('news', $this->q->getNewsPaged());
			$this->t->assign('tablelinks', Table::getLinks($this->getPageUri(), $this->q->limit));
				
			$this->t->assign('STATUS', $this->status);
			return $this->t->fetch('admin_news.ihtml'); 	
		}
		

		
	}