<?php

class Login extends TyperPage {	
		
	function Login()	{
		parent::TyperPage();
		if (Typer_Auth::isUserLogged()) {
			header('location: '.MAINPAGE_URI);
		}
		
		$this->status = '';
		
		$this->db = new DB;	
		$this->t=new Typer_Smarty(ROOT."layout/login/");			
	}	
	
	function getContent() {
		$step = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'step' , 1);
		switch ($step) {
			case 3:
				return  $this->_logoutUser();
			case 2:
				return	$this->_loginUser();				
			case 1:
			default:
				return $this->getFormular();			
		}		
		
	}
	
	function _logoutUser() {
		Typer_Auth::logout();
		header('location: ' . LOGIN_URI);
		exit();
	}
	
	function _loginUser() {
		$user['userlogin'] = Verifier::verifyFromREQUEST( NOT_NULL_STRING , 'user_login' , false);
		$user['userpassword'] = Verifier::verifyFromREQUEST( NOT_NULL_STRING , 'user_password' , false);
		
		$eject = false;
		
		if ( !$user['userlogin'] || !$user['userpassword']) {
			$eject = true;
			$this->status = textSys('main:login:PODAJ_DANE');	
		}		
		
		if (! $eject) {						
			if (Typer_Auth::login($user['userlogin'], $user['userpassword']) === USER_LOGGED) {								
				header('location: index.php?fun=15');
				exit();				
			}			
			else {
				$this->status = textSys('main:login:NIEPOPRAWNE_DANE');								
			}			
		}
		return $this->getFormular();		
	}
	
	function getFormular() {
		$this->t->assign('STATUS', $this->status);
		return $this->t->fetch( 'login.ihtml' );
	}
	
	
	
	
}

?>