<?php


	class News extends TyperPage {
		
		function News() {
			parent::TyperPage();			
			
			$this->status = '';
			$this->content = '';						
			
			$this->db = new DB;	
			$this->t=new Typer_Smarty(ROOT."layout/news/");	
		}
		
		function getContent() {
			$mode = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'mode' , 1);			
			$step = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'step' , 1);
			
			switch($mode) {
				
				case 1:
				default:
					return $this->getFormular();
				case 2:
					switch ($step) {				
					
						case 1:
						default:	
							return $this->detailedView();
						case 2:
							Typer_Auth::redirectGuest();
							$this->postAnswer();
							return $this->detailedView();
						case 3:
							Typer_Auth::redirectNotAdmin();
							$this->deletePost();
							return $this->detailedView();
					}
				
			}				
		}
		
		function deletePost() {
			$postId = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'post' , false);
			if (!$postId) {
				$thist->status = textSys('news:TAKI_KOMENTARZ_NIEISTNIEJE');
				return;
			}
			
			$sql = "DELETE FROM styper_post WHERE postid = '{$postId}'";
			$this->db->query($sql);
			return;
		}
		
		function postAnswer() {
			$newsId = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'news' , false);
			$content = Verifier::verifyFromREQUEST( NOT_NULL_STRING , 'post_content' , false);
			
			if ( ! $newsId || ! $content) {
				$this->status = textSys('news:BRAK_DANYCH');
				return;
			}
			
			$content = strip_tags($content);
			$userData = Typer_Auth::getLoggedUserData();
			
			$sql = "INSERT INTO styper_post (postcontent, userid, newsid, postborn) VALUES('{$content}', '{$userData['userid']}', '{$newsId}', (NOW()))";			
			$this->db->query ($sql);
			$this->status = textSys('news:ODPOWIEDZ_DODANA');

			header('location: index.php?fun=60&mode=2&news=' . $newsId);
		}
		
		function detailedView() {			
			$newsId = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'news' , false);
			
			// brakuje newsa - powrot na liste
			if ( !$newsId) {
				header('location: index.php?fun=60');
				exit();
			}
			
			$sql = "SELECT * FROM styper_news WHERE newsid = '{$newsId}'";			
			$news = $this->db->table($sql);
			$news = $news[0];
			
			$sql = "SELECT * FROM styper_post p LEFT JOIN styper_user u ON u.userid = p.userid WHERE p.newsid = '{$newsId}' ORDER by postborn DESC";
			$posts = $this->db->table($sql);
			
						
			$this->t->assign('news', $news);
			$this->t->assign('posts', $posts);

			$this->t->assign ('LOGOUT', Typer_Auth::isUserLogged());
			$this->t->assign('STATUS', $this->status);
			$this->t->assign('ADMIN', Typer_Auth::isUserAdmin());
			return $this->t->fetch('news_detail.ihtml');
		}
		
		function getFormular() {		

			$this->t->assign ('news', $this->getNews());	
			return $this->t->fetch('news.ihtml'); 	
		}		
		
		function getNews() {
			
			$sql = "SELECT *, p.postcount FROM styper_news n LEFT JOIN (SELECT count(*) as postcount, newsid as news FROM styper_post GROUP BY newsid) p ON p.news = n.newsid ORDER BY n.newsid DESC";					
			$res = $this->db->table ($sql);			
	
			return $res;
		}
		
	}