<?php

	class NewsLetter extends AdminPage {
		
		function newsletter() {
			parent::AdminPage();
			
			$this->status = '';
			$this->content = '';
			$this->scriptInjection = '';						
			
			$this->q = new Queries;
			
			$this->db = new DB;	
			$this->t=new Typer_Smarty(ROOT."layout/newsletter/");		
		}
		
		function getContent() {
			$step = verifier::VerifyFromRequest(POSITIVE_CARDINAL_NUMBER, 'step', false);
			
			switch($step) {
				case 1:
				default:
						break;
				case 2:
						$this->openSendLetter();
						break;
			}
			
			return $this->getFormular();
			
		}
		
		function getFormular() {
			$this->t->assign('SCRIPT', $this->scriptInjection);
			$this->t->assign('STATUS', $this->status);
			return $this->t->fetch('newsletter.ihtml');			
		}
		
		function getUsersData() {
			
			$sql = 'SELECT userid, useremail FROM styper_user WHERE userdeleted = 0 AND useractive = 1 ORDER BY userid ASC';
			$res = $this->db->table($sql);

			return $res;
		}
		
		function openSendLetter() {
			$data = $this->getUsersData();
			if (! $data) {
				$this->status = textSys('admin:newsletter:BRAK_UZYTKOWNIKOW');
				return;
			}
			$m = count($data); 
			$_SESSION['styper_newsletter_userdata'] = $data;
			$sendText = verifier::VerifyFromRequest(CHECKBOX, 'sendtext', false);
			$sendTypes = verifier::VerifyFromRequest(CHECKBOX, 'sendround', false);
			
			$additionalContent = verifier::VerifyFromRequest(NOT_NULL_STRING, 'sendcontent', false);
			if ($sendText) {
				$content = $additionalContent;
			}
			else if ($sendTypes) {
				$content = '###prepareTypes###' . $additionalContent;
			}
			
			if (!empty($content)) {
					$_SESSION['styper_newsletter_content'] = $content;				
			}
			else {
				$this->status = textSys('admin:newsletter:BRAK_TRESCI');
				return false;
			}			
			
			$this->status = textSys('admin:newsletter:OKIENKO_WYSYLANIA_OTWARTE');
			$this->scriptInjection = 'window.open(\'send.php?m=' . $m . '\', \'sendframe\', \'status=0, height=300, width=300\');';
			$this->scriptInjection .= 'window.location = "index.php?fun=105";';
			return;
		}
		
	}