<?php

	class Type extends TyperPage{		
		
		function Type() {	
			parent::TyperPage();
			Typer_Auth::redirectGuest();
			$this->db = new DB;
			$this->status = '';			
			$this->t=new Typer_Smarty(ROOT."layout/type/");		
		}
		
		function getContent() {
				
			$step = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'step' , 1);
			
			switch ($step) {
				case 1:
				default:					
					break;
				case 2:
					$this->_commitTypes();					
					header('location: ' . MAINPAGE_URI);
			}
			return $this->getFormular();
		}		
		
		function _commitTypes() {

			$sql = "SELECT roundid FROM styper_round WHERE roundactive = 1 AND roundclosed = 0 AND rounddeleted = 0 AND now() <= roundborn";
			$res = $this->db->table($sql);
			$roundId = $res[0]['roundid'];
			
			if ( count($res) == 0 || empty($roundId)) {
				$this->status = textSys('type:TYPOWANIE_NIEAKTYWNE');				
				return null;
			}
				
			$types = array();
			$new = array();
			
			/*
			 * 	Zebranie wartosci typow
 			 */
			foreach ($_REQUEST as $key => $val) {
				if (substr($key, 0, 6) == 'thost_') {
					$spl = split('_', $key);
					if ($spl[1] == -1) {
						$new[$spl[2]]['host'] = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , $key , false);
					}
					else {
						$types[$spl[1]]['host'] = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , $key , false);
					}
				}
				else if (substr($key, 0, 7) == 'tguest_') {
					$spl = split('_', $key);
					if ($spl[1] == -1) {
						$new[$spl[2]]['guest'] = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , $key , false);
					} 
					else {
						$types[$spl[1]]['guest'] = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , $key , false);
					}
									
				}
			}
	
			/*
			 *  Zapamietanie typow - jesli jeszcze ich nie ma - dodanie nowych
			 */			 
		
			foreach ($new as $key => $val) {				
								
				if ( ($val['host'] || $val['host'] == 0) && ($val['guest'] || $val['guest'] == 0)) {
					
					$usrData = Typer_Auth::getLoggedUserData();					
					$sql = "INSERT INTO styper_type (matchid, typehost, typeguest, userid) VALUES('{$key}', '{$val['host']}', '{$val['guest']}', '{$usrData['userid']}')";
					$this->db->query ($sql);					
				}			
			}
			foreach ($types as $key => $val) {
				if ( ($val['host'] || $val['host'] == 0) && ($val['guest'] || $val['guest'] == 0)) {
					
					$sql = "UPDATE styper_type SET typehost = '{$val['host']}', typeguest = '{$val['guest']}' WHERE typeid = '{$key}'";
					$this->db->query ($sql);
				}
			}
					
			return $this->getFormular();
		}
		
		function getFormular() {			
			$this->t->assign('STATUS', $this->status);			
			$this->t->assign('matches', $this->_getMatchesToType());
			return $this->t->fetch("type.ihtml");
		}	
		
		function _getMatchesToType() {
			
			$sql = "SELECT roundid FROM styper_round WHERE roundactive = 1 AND roundclosed = 0 AND rounddeleted = 0 AND NOW() <= roundborn";
			$res = $this->db->table($sql);
			$roundId = $res[0]['roundid'];
			
		
			if ( empty($roundId)) {
				$this->status = textSys('type:TYPOWANIE_NIEAKTYWNE');			
				return null;
			}			
			
			$userData = Typer_Auth::getLoggedUserData();
			$sql = "SELECT *, m.matchid as matchno, h.teamname as hostname, g.teamname as guestname FROM styper_match m LEFT JOIN styper_team h ON h.teamid = m.matchhost LEFT JOIN styper_team g ON g.teamid = m.matchguest LEFT JOIN (SELECT * FROM styper_type WHERE userid = '{$userData['userid']}') t ON m.matchid = t.matchid LEFT JOIN styper_round r ON m.roundid = r.roundid WHERE m.roundid = '{$roundId}' AND r.roundclosed = 0 AND m.matchplayed = 0";
			$res = $this->db->table($sql);
			
			for ($i = 0; $i < count ($res); $i++) {			
				$res[$i]['typeid'] = empty($res[$i]['typeid']) ? -1 : $res[$i]['typeid'];   
			}
	
			return $res;
						
		}
		
	}


