<?php

require_once("engine/modules.php");

class Layout extends TyperPage{

	var $Columns;

	var $templatePath="layout";

	var $frameTemplate;
	var $frameTemplateFile="";

	var $pageTemplate;
	var $pageTemplateFile;

	function Layout( $pageTemplateFileName = 'index.ihtml' ) {

		parent::TyperPage();
		
		$this->pageTemplateFile = $pageTemplateFileName;
		$this->Columns=array();

		$this->pageTemplate = new Typer_Smarty ($this->templatePath);
		$smarty->compile_check = true;
		$smarty->debugging = true;
	}

	function getPage()
	{
		global $auth;
		global $perm;	
		
		empty($_REQUEST['fun'])?$fun=-1:$fun=$_REQUEST['fun'];

	
		$m=new Modules();
		$c=$m->factory($fun);
		
		$this->pageTemplate->assign("COLUMN",$c->getContent());

		// zebranie po getContent bo tam leca zmienne
		$notRenderRoot = ( !empty($c->notRenderRoot)) ? $c->notRenderRoot : false;		
		$this->pageTemplate->assign('RENDERROOT', !$notRenderRoot);		
		
		$this->pageTemplate->assign("CHARSET", OUTPUT_ENCODING);

		$userLogged = Typer_Auth::isUserLogged() ? true : false;
		if ($userLogged) {
			$userData = Typer_Auth::getLoggedUserData();
			$userLogin = $userData['userlogin'];		}

		$this->pageTemplate->assign('LOGIN', $userLogin);
		// czy zalogowany uzytkownik		
		$this->pageTemplate->assign('LOGOUT',  $userLogged);
		// czy jest adminem
		$this->pageTemplate->assign('PERMS', Typer_Auth::isUserAdmin() ? true : false);

		return $this->pageTemplate->fetch( $this->pageTemplateFile );

	}
	
	function printPage() {

		echo $this->getPage();

	}

}