<?php

define ('DEFAULT_PAGE_SIZE', 10);

	class Table {
		
		/*
		 * Do zbierania numeru strony i jej wielkosci
		 * 
		 */		
		function getOffsets() {

			$table = array();
			$table['number'] = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'paNo' , 1);
			$table['size'] = Verifier::verifyFromREQUEST( POSITIVE_CARDINAL_NUMBER , 'paSi' , DEFAULT_PAGE_SIZE);
			return $table;
			
		}
		
		/*
		 * 
		 * Do stworzenia zestawu linkow zawierajacych stronicowanie
		 * 
		 */
		function getLinks($orgUri, $count, $size = DEFAULT_PAGE_SIZE) {

			if ($size == 0) {
				return false;
			}			

			$i = ceil($count / $size);
			
			$links = array();
			for ($n = 1; $n <= $i; $n++) {				
				$links[$n]['name'] = $n;
				$orgUri = preg_replace('/&paNo=\w*&paSi=\w*/', '', $orgUri);
				$links[$n]['href'] = $orgUri . "&paNo={$n}&paSi={$size}"; 
			}
			
			return $links;
		}			
	}